Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > MyDNSConfig > General

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #1  
Old 6th July 2009, 14:05
iDen iDen is offline
Junior Member
 
Join Date: Jun 2009
Posts: 29
Thanks: 4
Thanked 3 Times in 1 Post
Question problems with installing on Fedora 11

I've installed MyDNS, php, mysql, apache... no problems
but problems with installing MyDnsConfig....
it doesn't support Fedora 11

error

Code:
 php -q install.php


--------------------------------------------------------------------------------
 __  __       _____  _   _  _____  _____             __ _
|  \/  |     |  __ \| \ | |/ ____|/ ____|           / _(_)
| \  / |_   _| |  | |  \| | (___ | |     ___  _ __ | |_ _  __ _
| |\/| | | | | |  | | . ` |\___ \| |    / _ \| '_ \|  _| |/ _` |
| |  | | |_| | |__| | |\  |____) | |___| (_) | | | | | | | (_| |
|_|  |_|\__, |_____/|_| \_|_____/ \_____\___/|_| |_|_| |_|\__, |
         __/ |                                             __/ |
        |___/                                             |___/
--------------------------------------------------------------------------------


>> Initial configuration

PHP Notice:  Undefined variable: distver in /tmp/mydnsconfig/install/lib/install.lib.php on line 135
PHP Notice:  Undefined variable: distid in /tmp/mydnsconfig/install/lib/install.lib.php on line 135
PHP Notice:  Undefined variable: distbaseid in /tmp/mydnsconfig/install/lib/install.lib.php on line 135
And somewhere i saw something like "unrecognized" or "unsupported Distributive"

When will it be released for Fedora 11 ?
Reply With Quote
Sponsored Links
  #2  
Old 7th July 2009, 14:27
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,740 Times in 2,575 Posts
Default

I guess soon, but there's no date yet.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #3  
Old 15th September 2009, 10:12
epdmcoatings epdmcoatings is offline
Junior Member
 
Join Date: Sep 2009
Posts: 2
Thanks: 0
Thanked 1 Time in 1 Post
Default

I think there might be some problem with your processor, coz i have tried with the same function its supportive, you should update the installer.
Reply With Quote
  #4  
Old 21st September 2009, 10:16
shiwebs shiwebs is offline
Junior Member
 
Join Date: Sep 2009
Posts: 1
Thanks: 0
Thanked 0 Times in 0 Posts
Default

I had a similar problem, or well - the exact same but on Debian Lenny.

So what I did to get it to work was edit "lib/install.lib.php" and went through the function "get_distname()", copied out the variables for my operating system and inserted them right before the return.

Code:
...
        $distname = 'Debian';
        $distver = 'Lenny/Sid';
        $distid = 'debian40';
        $distbaseid = 'debian';
        swriteln("Operating System: Debian Lenny/Sid or compatible\n");
        return array('name' => $distname, 'version' => $distver, 'id' => $distid, 'baseid' => $distbaseid);
This solved the problem. A possible fix is to update the if-control so that the script can parse my version aswell; 5.0.3.

Code:
if(trim(file_get_contents('/etc/debian_version')) == '5.0' || trim(file_get_contents('/etc/debian_version')) == 'lenny/sid') {
Into

Code:
if(trim(strstr(file_get_contents('/etc/debian_version')),'5.0') || trim(file_get_contents('/etc/debian_version')) == 'lenny/sid') {
Or something..

Best Regards,
Timh/Shiwebs.
Reply With Quote
  #5  
Old 4th October 2009, 00:46
Paperskin Paperskin is offline
Junior Member
 
Join Date: Oct 2009
Posts: 1
Thanks: 0
Thanked 0 Times in 0 Posts
 
Default fedora 11 solution

I figured I would post since the question was specifically for Fedora 11, and being a new user of both linux and fedora 11, I wanted to post my solution

Following what shiwebs did..

in install.lib.php I hit 'ctrl-f' to find Redhat and found the previous 2 installations of Fedora listed. After digging through I think this info is correct, so just copy and paste it in after the Fedora release 10 junk and it will work

if(stristr($content,'Fedora release 11 (Leonidas)')) {
$distname = 'Fedora';
$distver = '11';
$distid = 'fedora9';
$distbaseid = 'fedora';
swriteln("Operating System: Fedora 11 or compatible\n");
}
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
ISPCOnfig 3 on Fedora -- Having trouble installing anushanw Installation/Configuration 1 4th February 2009 16:51
Installing Fedora 10 with ATI Graphic - display related problems Elmo Installation/Configuration 3 3rd December 2008 23:14
Fedora 8 - Mysql and Postfix problems when installing ISPConfig-2.2.18 juanfra77 Installation/Configuration 3 11th January 2008 13:43
Problems with installation on openSUSE 10.2 douglaslopezt Installation/Configuration 3 24th August 2007 22:04
problems installing lamp on fedora 6 step 7 of HOWTO. cruz HOWTO-Related Questions 3 18th April 2007 19:56


All times are GMT +2. The time now is 11:00.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.